<?php
namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\GLocaisService;

class GLocaisController extends FMCrud{
    protected $dataSourceName = 'fcm_checklistagend';
    protected $GLocaisService;
   
    public function __construct($crudService, $environment, GLocaisService $GLocaisService) {
        parent::__construct($crudService, $environment);
        $this->GLocaisService = $GLocaisService;
    }

    public function getControllerUnities(DTO\Request $request, DTO\Response $response) {
        
        $params = $request->getParameters();
        
        $var = $this->GLocaisService->getServiceUnities($params);
        $dtsVal = new DataSet('options', $var);
        $response->addDataSet($dtsVal);
    }
    
    public function getControllerLocal(DTO\Request $request, DTO\Response $response) {
        
        $params = $request->getParameters();
        
        $nrlocalclientepai = $params['params']['NRLOCALCLIENTEPAI'];
        $var = $this->GLocaisService->getServiceLocal($nrlocalclientepai);
        $dtsVal = new DataSet('options', $var);
        $response->addDataSet($dtsVal);
    }
    
    public function getControllerLocalType(DTO\Request $request, DTO\Response $response) {
        
        $params = $request->getParameters();
        
        $var = $this->GLocaisService->getServiceLocalType($params);
        $dtsVal = new DataSet('options', $var);
        $response->addDataSet($dtsVal);
    }
}
?>