<?php
namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\NewLocalService;

class NewLocalController extends FMCrud{
    protected $dataSourceName = 'fcm_checklistagend';
    protected $NewLocalService;
   
    public function __construct($crudService, $environment, NewLocalService $NewLocalService) {
        parent::__construct($crudService, $environment);
        $this->NewLocalService = $NewLocalService;
    }

    public function getControllerCheckList(DTO\Request $request, DTO\Response $response) {
        $var = $this->NewLocalService->getServiceCheckList();
        $dtsVal = new DataSet('options', $var);
        $response->addDataSet($dtsVal);
    }

    public function insertControllerLocal(DTO\Request $request, DTO\Response $response) {
        
        $params = $request->getParameters();
        
        $nmtipolocalcli = $params['params']['NMTIPOLOCALCLI'];
        $idtipolocalcli = $params['params']['IDTIPOLOCALCLI'];
        $idativo = $params['params']['IDATIVO'];
        $nrorg = $params['params']['NRORG'];
        $dstipolocalcli = $params['params']['DSTIPOLOCALCLI'];
        
        $var = $this->NewLocalService->insertServiceLocal($nmtipolocalcli, $idtipolocalcli, $idativo, $nrorg, $dstipolocalcli);
        
        $dtsVal = new DataSet('options',array('error' => $var));
        $response->addDataSet($dtsVal);
    }   

    public function getControllerLocalToUpdate(DTO\Request $request, DTO\Response $response) {
        
        $params = $request->getParameters();

        
        $nrtipolocalcli = $params;

        $var = $this->NewLocalService->getControllerLocalToUpdate($nrtipolocalcli);
        $dtsVal = new DataSet('options', $var);
        $response->addDataSet($dtsVal);
    }
    
    public function updateControllerLocal(DTO\Request $request, DTO\Response $response) {
        
        $params = $request->getParameters();
        
        $nrtipolocalcli = $params['params']['NRTIPOLOCALCLI'];
        $nmtipolocalcli = $params['params']['NMTIPOLOCALCLI'];
        $idtipolocalcli = $params['params']['IDTIPOLOCALCLI'];
        $dstipolocalcli = $params['params']['DSTIPOLOCALCLI'];
        
        $var = $this->NewLocalService->updateServiceLocal($nrtipolocalcli, $nmtipolocalcli, $idtipolocalcli, $dstipolocalcli);
        
       $dtsVal = new DataSet('options',array('error' => $var));
        $response->addDataSet($dtsVal);
    } 
    
}
?>