<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class ParamLeitContPessoasFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function insertParamLeituras($params) {
        try {
        $sql = "INSERT INTO FCM_PARAMLEITCONTPESSOAS (
            NRPARAMLEITCONTPESSOAS,
            CDCLIENTE,
            NRLOCALCLIENTE,
            IDTIPOSENSOR,
            IDMACDEVICE, 
            IDSENSOR, 
            NRQTPESSOASALERT, 
            VRDISTANCIAMINLEIT,
            VRDISTANCIAMAXLEIT,
            VRDISTANCIAMEDLEIT, 
            QTMATRIZLEITURA,
            QTTEMPRECONHECIMENTO, 
            IDMODODISTANCIA,
            QTTEMPOREPETLEIT,
            HRINICIODIA, 
            HRFINALDIA,
            NRORG,
            IDATIVO,
            DTINCLUSAO)
         VALUES (
            :NRPARAMLEITCONTPESSOAS,
            :CDCLIENTE,
            :NRLOCALCLIENTE,
            :IDTIPOSENSOR,
            :IDMACDEVICE, 
            :IDSENSOR, 
            :NRQTPESSOASALERT, 
            :VRDISTANCIAMINLEIT,
            :VRDISTANCIAMAXLEIT,
            :VRDISTANCIAMEDLEIT, 
            :QTMATRIZLEITURA,
            :QTTEMPRECONHECIMENTO, 
            :IDMODODISTANCIA,
            :QTTEMPOREPETLEIT,
            :HRINICIODIA, 
            :HRFINALDIA,
            20,
            'S',
            SYSDATE)";
            $std = $this->connection->prepare($sql);
            // var_dump($params);
            // die;
            $std->execute($params);
            $message = "Item was sucessfuly inserted.";
            return $message;
        } catch (Exception $e) {
            return $e->getMessage();
        }
    }
    
    public function getParamLeituras($params) {
        $sql = "SELECT 
            plcp.NRPARAMLEITCONTPESSOAS,
            plcp.CDCLIENTE,
            plcp.NRLOCALCLIENTE,
            plcp.IDTIPOSENSOR,
            plcp.IDMACDEVICE, 
            plcp.IDSENSOR, 
            plcp.NRQTPESSOASALERT, 
            plcp.VRDISTANCIAMINLEIT,
            plcp.VRDISTANCIAMAXLEIT,
            plcp.VRDISTANCIAMEDLEIT, 
            plcp.QTMATRIZLEITURA,
            plcp.QTTEMPRECONHECIMENTO, 
            plcp.IDMODODISTANCIA,
            plcp.QTTEMPOREPETLEIT,
            plcp.HRINICIODIA, 
            plcp.HRFINALDIA, 
            plcp.QTLEITTOTALDIA,
            plcp.NRORG,
            plcp.IDATIVO,
            plcp.DTINCLUSAO
            FROM FCM_PARAMLEITCONTPESSOAS plcp";
            $std = $this->connection->prepare($sql);
            $std->execute();
            
            return $std->fetchAll();
    }
}

?>