import { Button, Image } from '@zeedhi/common';
import { Http, IDictionary } from '@zeedhi/core';

export class QRCodeController {
  public collapseQrCode({ component }: {component: Button}) {
    // const collapse = (component.parent.parent as any).getChildInstance('col4').getChildInstance('expandedCollapse');
    const rowParent: any = component!.parent!.parent!;
    const nameCol = rowParent.children[1].name;
    const collapse = rowParent!.getChildInstance(nameCol)!.children[0];
    const selectObjectLinhaPrinter = component!.parent!.parent!.children[3];
    collapse.isVisible = !collapse.isVisible;
    selectObjectLinhaPrinter.isVisible = !selectObjectLinhaPrinter.isVisible;
  }

  public generateQRCode({ component } : {component: Image}) {
    const urlSrc: string = component.src;
    Http.post('/getQRCode', { url: urlSrc })
      .then((response: IDictionary) => {
        let uri: string = '';
        ([uri] = response.data.dataset.QRCodeUri);
        component.src = uri;
      })
      .catch((err) => {
        throw err;
      });
  }

  public printQrCode({ component }:{ component:any }) {
    const nomeObjectPrinter = component.name;
    const corteNomeLocal = nomeObjectPrinter.split('_')[1];
    const nomeReal = 'col2_';
    const concatenado = nomeReal.concat(corteNomeLocal);
    const localAtendimento = component!.parent!.parent!.parent!.children[0].children[0].text;
    const tipoLocal = component.parent.parent.parent.parent.parent.header[0]!.children[1].text.split('(')[0];
    const selectObjectImage = document.getElementsByName(concatenado);
    const a = window.open('', '', 'height=724, width=948');
    a!.document.write('<html>');
    a!.document.write('<body><h1 align="center"><br>');
    a!.document.write('<p> Tipo de Local: </n>', tipoLocal, '</p>');
    a!.document.write('<p>Local: </n>', localAtendimento, '</p>');
    a!.document.write('<div class = "container"><style>.container {justify-content: center; align-items: center; border-style: solid; border-color: black; margin: 70px;} </style>');
    a!.document.write('<p>', selectObjectImage[0].innerHTML, '</p>');
    a!.document.write('</div>');
    a!.document.write('</body></html>');
    a!.print();
    a!.close();
  }
}
